Subject: Re: linux-next: build failure after merge of the final tree (usb tree related)

From: Greg KH <[email-masked]>
Date: Mon, 3 May 2010 10:35:01 -0700

On Mon, May 03, 2010 at 10:13:48AM -0700, Greg KH wrote:
> On Mon, May 03, 2010 at 02:57:15PM +1000, Stephen Rothwell wrote:
> > Hi Guys,
> > 
> > On Fri, 30 Apr 2010 09:22:24 +0300 Heikki Krogerus <[email-masked]> wrote:
> > >
> > > On Fri, Apr 30, 2010 at 08:05:55AM +0200, ext Stephen Rothwell wrote:
> > > > 
> > > > After merging the final tree, today's linux-next build (powerpc
> > > > allyesconfig) failed like this:
> > > > 
> > > > drivers/usb/otg/twl4030-usb.c: In function 'twl4030_usb_set_bits':
> > > > drivers/usb/otg/twl4030-usb.c:238: error: implicit declaration of function 'ULPI_SET'
> > > > drivers/usb/otg/twl4030-usb.c: In function 'twl4030_usb_clear_bits':
> > > > drivers/usb/otg/twl4030-usb.c:244: error: implicit declaration of function 'ULPI_CLR'
> > > > drivers/usb/otg/twl4030-usb.c: In function 'twl4030_usb_set_mode':
> > > > drivers/usb/otg/twl4030-usb.c:303: error: 'ULPI_IFC_CTRL' undeclared (first use in this function)
> > > > drivers/usb/otg/twl4030-usb.c:304: error: 'ULPI_IFC_CTRL_CARKITMODE' undeclared (first use in this function)
> > > > drivers/usb/otg/twl4030-usb.c:306: error: 'ULPI_FUNC_CTRL' undeclared (first use in this function)
> > > > drivers/usb/otg/twl4030-usb.c:307: error: 'ULPI_FUNC_CTRL_XCVRSEL_MASK' undeclared (first use in this function)
> > > > drivers/usb/otg/twl4030-usb.c:308: error: 'ULPI_FUNC_CTRL_OPMODE_MASK' undeclared (first use in this function)
> > > > 
> > > > Caused by commit 57983872ff14cba23d6404a40c89e52063c94854 ("usb: otg:
> > > > twl4030: use the global ULPI register definitions").  I have reverted
> > > > that commit for today.
> > > 
> > > Already informed Greg that he needs the patch for the global ulpi
> > > registers before this one.
> > 
> > Still got this one today.
> 
> Yes, I need the patch from Heikki...  {hint...}

Oh nevermind, I see them now, stupid me.  I'll go queue them up.

thanks,

greg k-h